> ## Documentation Index
> Fetch the complete documentation index at: https://api-docs.ollang.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Memory

> Rename a translation memory

Rename a translation memory. The stored translation units are not affected.

<RequestExample>
  ```bash cURL theme={null}
  curl -X PATCH "https://api-integration.ollang.com/integration/memories/507f1f77bcf86cd799439011" \
    -H "X-Api-Key: <your-api-key>" \
    -H "Content-Type: application/json" \
    -d '{
      "title": "Product documentation EN→FR (v2)"
    }'
  ```

  ```javascript JavaScript theme={null}
  const memoryId = "507f1f77bcf86cd799439011";

  const response = await fetch(
    `https://api-integration.ollang.com/integration/memories/${memoryId}`,
    {
      method: "PATCH",
      headers: {
        "X-Api-Key": "<your-api-key>",
        "Content-Type": "application/json",
      },
      body: JSON.stringify({
        title: "Product documentation EN→FR (v2)",
      }),
    }
  );

  const memory = await response.json();
  ```

  ```python Python theme={null}
  import requests

  memory_id = "507f1f77bcf86cd799439011"

  data = {"title": "Product documentation EN→FR (v2)"}

  headers = {
      "X-Api-Key": "<your-api-key>",
      "Content-Type": "application/json",
  }

  response = requests.patch(
      f"https://api-integration.ollang.com/integration/memories/{memory_id}",
      json=data,
      headers=headers,
  )

  memory = response.json()
  ```
</RequestExample>

## Authorizations

This endpoint requires API key authentication.

* **Header name**: `X-Api-Key`
* **Header value**: Your API key from the [Ollang dashboard](https://lab.ollang.com)

## Path Parameters

<ParamField path="memoryId" type="string" required>
  The translation memory's unique identifier.
</ParamField>

## Body Parameters

<ParamField body="title" type="string" required>
  New human-readable name of the translation memory.
</ParamField>

## Response

Returns the updated translation memory object.

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": "507f1f77bcf86cd799439011",
    "title": "Product documentation EN→FR (v2)",
    "memoryItemsCount": 12480,
    "createdAt": "2023-10-05T12:34:56.789Z",
    "updatedAt": "2026-08-11T09:15:00.000Z"
  }
  ```

  ```json 404 theme={null}
  {
    "statusCode": 404,
    "message": "Memory not found"
  }
  ```

  ```json 401 theme={null}
  {
    "error": "Unauthorized",
    "message": "Invalid or missing API key"
  }
  ```
</ResponseExample>
